View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012835ParaView(No Category)public2012-01-02 16:322012-02-08 17:28
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version3.14 
Summary0012835: Convert Python tests to XML
DescriptionPython GUI test playback is tricky since it uses different threads. Convert as many tests as possible to XML.
TagsNo tags attached.
ProjectKitware
Topic Name12835_convert_python_to_xml_tests
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027896)
Utkarsh Ayachit (administrator)
2012-01-02 16:33

commit dd9cf163bfd11c3afed9c993b8e1531ba30acb34
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 16:09:11 2012 -0500

    Add client-server tests for Xml tests with inline compares.

commit 919f78f7dc60f1388854a55be4842f9766023dec
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 16:03:35 2012 -0500

    Converting Python test to XML

commit 4b7b71b34881d06a0d0f60b6a02da17b957a8c17
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 15:57:24 2012 -0500

    Converting Python test to XML

commit 24b1dc921087f07d6ce13dffacc3668bf92b2c55
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 15:48:51 2012 -0500

    Converting Python test to XML

commit 9c1ac7bbbadb46d7e5586c6c2c6f9666c77f6fad
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 15:42:29 2012 -0500

    Converting Python test to XML

commit 30d7dec664be60e23484249a685c6ad409efbc4b
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 15:40:30 2012 -0500

    Converting Python test to XML.

commit 12afa5aff2d88fc199f1506d8f22707add12ad62
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Jan 2 15:34:01 2012 -0500

    Added support for comparing images/widgets in XML testing.
    
    Python test playback is tedious since it uses multiple threads. Most of the
    tests in Python for the GUI are done so that we can compare images or multiple
    view widgets. Adding API to pqXMLEventSource so that it's now possible to do the
    same using XML. New XML nodes "pqcompareview" and "pqcompareimage" can be used
    for that purpose.
(0027911)
Utkarsh Ayachit (administrator)
2012-01-06 14:53

merged into master (where ever applicable)
(0028237)
Utkarsh Ayachit (administrator)
2012-02-08 17:28

Closing bugs sitting in "customer review" for a long time.

- Issue History
Date Modified Username Field Change
2012-01-02 16:32 Utkarsh Ayachit New Issue
2012-01-02 16:32 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-01-02 16:33 Utkarsh Ayachit Topic Name => 12835_convert_python_to_xml_tests
2012-01-02 16:33 Utkarsh Ayachit Note Added: 0027896
2012-01-02 16:33 Utkarsh Ayachit Status backlog => gatekeeper review
2012-01-02 16:33 Utkarsh Ayachit Fixed in Version => git-next
2012-01-02 16:33 Utkarsh Ayachit Resolution open => fixed
2012-01-06 14:52 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-01-06 14:53 Utkarsh Ayachit Status gatekeeper review => customer review
2012-01-06 14:53 Utkarsh Ayachit Note Added: 0027911
2012-02-08 17:21 Utkarsh Ayachit Fixed in Version git-master => 3.14
2012-02-08 17:28 Utkarsh Ayachit Status customer review => closed
2012-02-08 17:28 Utkarsh Ayachit Note Added: 0028237


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker